# Copyright (C) 2007, Stelios Koroneos - Digital OPSiS, All Rights Reserved
# Released under the MIT license (see packages/COPYING)
#@TYPE: Machine
#@NAME: D201GLY2 
#@DESCRIPTION: Machine configuration for Intel D201GLY2 board


TARGET_ARCH = "i686"
PACKAGE_EXTRA_ARCHS = "x86 i386 i486 i586 i686 i686p4c"

PREFERRED_PROVIDER_virtual/kernel = "linux
KERNEL_IMAGETYPE = "bzImage"
OLDEST_KERNEL = "2.6.17"

PREFERRED_PROVIDER_virtual/xserver = "xserver-kdrive"
XSERVER="xserver-kdrive-sis"


GLIBC_ADDONS = "nptl"
GLIBC_EXTRA_OECONF = "--with-tls"


IMAGE_FSTYPES = "ext2.gz"

MACHINE_FEATURES = "kernel26 screen keyboard pci ushbost acpi ext2"
MACHINE_EXTRA_RRECOMMENDS = " kernel-modules"
MACHINE_TASK_PROVIDER = "task-base"

udevdir = "/dev"


#tune for P4 celeron cpu
require conf/machine/include/tune-pentium4c.inc
